# Get all bulk processes

Filter bulk processes.

Endpoint: GET /bulks
Version: v3
Security: auth_token, api-key

## Security:

  - `auth_token` (unknown)
    http bearer JWT

  - `api-key` (unknown)
    apiKey in header api-key

## Query parameters:

  - `offset` (integer)
    The offset value for paging, indicating the initial item number to be returned from the data set satisfying the given criteria. Leave out to fetch the first page of results.

  - `limit` (integer)
    The limit of the results for paging, starting at the offset. Limit is always capped at 100.

  - `status` (string)

## Response 200:

  - `200` (unknown)
    Success

## Response 200 fields (application/json):

  - `count` (integer)
    Total number of records (excluding limit)

  - `bulkProcesses` (array)

  - `bulkProcesses.bulkId` (string)
    The bulk id of the bulk process

  - `bulkProcesses.status` (string)
    "SUBMITTED": the data for the bulk process operations has been persisted and bulk process is ready for execution. A bulk process in this status can be executed or submitted. This is the initial state for a bulk process
"RUNNING" :  the bulk process is currently being executed by the system
"COMPLETED"  : the execution of the bulk process is complete and all bulk operations of the bulk process were executed successfully. This is a final state for the bulk process
"PARTIALLY_COMPLETED"  the execution of the bulk process is complete and some of the bulk operations of the bulk process failed. This is a final state for the bulk process
"FAILED" : none of the operations of the bulk process have executed. This is a final state for the bulk process
"PAUSED"  : the execution of bulk process has been paused through the Pause bulk process operation  Execution can be resumed through Resume bulk operation
"CANCELLED" : the execution of bulk process has been cancelled through Cancel bulk operation. This is a final state for the bulk process

  - `bulkProcesses.submittedItemsCount` (integer)
    The number of bulk operations in the bulk process

  - `bulkProcesses.executionStart` (integer)
    Timestamp of when the execution of the Bulk Process started

  - `bulkProcesses.executionFinish` (integer)
    Timestamp of when the execution of the Bulk Process finished.

  - `bulkProcesses.operation` (string)
    The underlying operations contained within the Bulk; shown as the endpoint for the equivalent single operation.

  - `bulkProcesses.mode` (string)
    ON_FAILURE_STOP : the execution of the bulk process stops after the first bulk operation that fails (operation returns a 4xx or 5xx response code).
ON_FAILURE_CONTINUE: the execution of the bulk process resumes as normal even when any of the bulk operations fail.
    Enum: "ON_FAILURE_STOP", "ON_FAILURE_CONTINUE"

  - `responseCount` (integer)
    Total number of records returned in this response

## Response 400:

  - `400` (unknown)
    Bad Request Error - Your request is invalid.

## Response 400 fields (application/json):

  - `message` (string)
    When present helps to identify and fix the problem.

  - `syntaxErrors` (object)
    Is returned as part of an HTTP error response whenever a syntax error is detected. A list of the fields together with their syntax error will be provided.

  - `syntaxErrors.invalidFields` (array)

  - `syntaxErrors.invalidFields.params` (array)

  - `syntaxErrors.invalidFields.fieldName` (string)

  - `syntaxErrors.invalidFields.error` (string)
    Enum: "REQUIRED", "HAS_TEXT", "REQUIRES", "SIZE", "RANGE", "IN", "NOT_IN", "REGEX", "EXACTLY", "AT_LEAST", "AT_MOST", "ALL_OR_NONE"

## Response 400 headers (application/json):

  - `request-ref` (string, required)
    A request identifier. Providing this reference when contacting our support team will help us investigate your query.

## Response 401:

  - `401` (unknown)
    Unauthorized - Your credentials or access token are invalid.

## Response 401 headers:

  - `request-ref` (string, required)
    A request identifier. Providing this reference when contacting our support team will help us investigate your query.

## Response 403:

  - `403` (unknown)
    Forbidden - Access to the requested resource or action is forbidden.

## Response 403 fields (application/json):

  - `errorCode` (string)
    Enum: "INSUFFICIENT_PERMISSIONS"

## Response 403 headers (application/json):

  - `request-ref` (string, required)
    A request identifier. Providing this reference when contacting our support team will help us investigate your query.

## Response 404:

  - `404` (unknown)
    Not found - The requested resource couldn't be found.

## Response 404 fields (application/json):

  - `code` (string)

  - `message` (string)

## Response 404 headers (application/json):

  - `request-ref` (string, required)
    A request identifier. Providing this reference when contacting our support team will help us investigate your query.

## Response 409:

  - `409` (unknown)
    BulkProcessorConflict - bulk processor conflict.

## Response 409 fields (application/json):

  - `errorCode` (string)
    Enum: "VALIDATION_FAILED", "USER_VALIDATION_FAILED", "ALREADY_SUBMITTED", "DUPLICATE_OPERATION_TYPE", "NO_CONFIG_FOUND", "INVALID_STATE", "TOO_MANY_REQUESTS"

## Response 409 headers (application/json):

  - `request-ref` (string, required)
    A request identifier. Providing this reference when contacting our support team will help us investigate your query.

## Response 500:

  - `500` (unknown)
    Internal Server Error - There is a problem with the server. Please try again later.

## Response 500 headers:

  - `request-ref` (string, required)
    A request identifier. Providing this reference when contacting our support team will help us investigate your query.

## Response 503:

  - `503` (unknown)
    Service Unavailable - The requested service is temporarily unavailable. Please try again later.

## Response 503 headers:

  - `request-ref` (string, required)
    A request identifier. Providing this reference when contacting our support team will help us investigate your query.

## Response default:

  - `default` (unknown)
    Error

## Response default fields (application/json):

  - `code` (string)

  - `message` (string)

